=== debian/changelog ===
libvirt (7.0.0-3) unstable; urgency=medium

  * Team upload

  * [5ae74e0] libvirtd: Improve default file
  * [b11d3c3] virtlogd: Fix some bugs in the sysv init script

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 26 Feb 2021 16:46:34 +0100

libvirt (7.0.0-2) unstable; urgency=medium

  * Team upload

  [ Matthew Gabeler-Lee ]
  * [7391555] control: recommend qemu support for iscsi-direct
    - Closes: #981284

  [ Andrea Bolognani ]
  * [8048eef] control: Always use versioned deps for libvirt components
    - Closes: #981435
  * [effe0cd] control: Always explicitly depend on libvirt0
  * [d3c8ec2] control: Bump Standards-Version to 4.5.1

  [ Christian Ehrhardt ]
  * [3cbe8f9] d/control: avoid libvirt-clients to pull in libvirt-daemon
  * [295944d] systemd: start, but do not restart libvirt-guests.service
  * [ddbad4b] systemd: do not restart sockets

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 10 Feb 2021 23:23:32 +0100

libvirt (7.0.0-1) unstable; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [561e347] libvirt-daemon-config-nwfilter: Install new nwfilters
  * [56231e3] patches: Add backport/meson-Fix-cross-building-[...].patch
    - Closes: #980334

  [ Christian Ehrhardt ]
  * [6568c68] apparmor: allow hot-plug for qcow backing chains
    - Closes: #981001
  * [8173ce4] libvirt-daemon-config-*: reload libvirtd before restart
  * [dc21d88] systemd: Drop libvirtd dep from virt-guest-shutdown.target
    - Avoids reintroducing: #955216

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 28 Jan 2021 22:06:43 +0100

libvirt (6.9.0-4) unstable; urgency=medium

  * Team upload

  * [f5c0ebf] control: Strengthen dependencies between packages

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 22 Jan 2021 22:31:04 +0100

libvirt (6.9.0-3) unstable; urgency=medium

  * Team upload

  * [81999fb] rules: Move virt-aa-helper to libvirt-daemon
  * [b9b6a95] control: Make libvirt-daemon-system-{systemd,sysv} Arch: all

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 19 Jan 2021 23:10:20 +0100

libvirt (6.9.0-2) experimental; urgency=medium

  * Team upload

  [ Andrea Bolognani ]
  * [55504dd] libvirt-daemon-config-network: New binary package
    - Closes: #973489
  * [0168a25] libvirt-daemon-config-nwfilter: New binary package
  * [7ad0fe3] libvirt-daemon-driver-storage-iscsi-direct: New binary package
    - Closes: #918728
  * [aadb56a] libvirt-login-shell: New binary package
  * [807a8de] libvirt-clients: Move out virt-qemu-run
  * [3af477f] libvirt-daemon: Move out libvirt_lxc
  * [03f8bbb] libvirt-daemon: Move out sanlock-related files
  * [b94f649] libvirt-daemon: Move out bash-completion support
    - Closes: #904036

  [ Guido Günther ]
  * [acb5c16] d/control: Use qemu-system instead of qemu
    - Closes: #966239

  [ Christian Ehrhardt ]
  * [8c1bf5d] d/control: fix circular dependency on libvirt-daemon-driver-qemu
    - Closes: #963898
  * [3d8fdd2] apparmor: add local include for libvirt-qemu & libvirt-lxc

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 14 Jan 2021 23:51:32 +0100
