=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Laurent Léonard <laurent@open-minds.org>,
@@ -24,7 +25,6 @@
  libglusterfs-dev [linux-any],
  libgnutls28-dev,
  libiscsi-dev [linux-any],
- libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
  libnl-3-dev [linux-any],
  libnl-route-3-dev [linux-any],
  libnuma-dev [linux-any],
@@ -38,7 +38,8 @@
  libsanlock-dev [linux-any],
  libsasl2-dev,
  libselinux1-dev (>= 2.0.82) [linux-any],
- libssh2-1-dev,
+ libtirpc-dev,
+ libssh-dev,
  libudev-dev [linux-any],
  libwireshark-dev (>= 1.11.3),
  libwiretap-dev,
@@ -46,6 +47,7 @@
  libxml2-dev (>= 2.9.2+really2.9.1+dfsg1-0.2),
  libxml2-utils,
  libyajl-dev,
+ libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  lvm2 [linux-any],
  meson (>= 0.54.0~),
  nfs-common,
@@ -128,9 +130,6 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- libvirt-daemon-driver-lxc (= ${binary:Version}),
- libvirt-daemon-driver-vbox (= ${binary:Version}),
- libvirt-daemon-driver-xen (= ${binary:Version}),
  libxml2-utils,
  netcat-openbsd,
  qemu-kvm | qemu-system (>= 0.9.1),
@@ -139,6 +138,9 @@
  libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
  libvirt-daemon-driver-storage-rbd (= ${binary:Version}),
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
+ libvirt-daemon-driver-lxc (= ${binary:Version}),
+ libvirt-daemon-driver-vbox (= ${binary:Version}),
+ libvirt-daemon-driver-xen (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
  numad,
 Enhances:
@@ -169,10 +171,10 @@
  ${shlibs:Depends},
 Breaks:
  libvirt-clients (<< 6.9.0-2~),
- libvirt-daemon (<< 6.0.0-1~),
-Replaces:
- libvirt-clients (<< 6.9.0-2~),
- libvirt-daemon (<< 6.0.0-1~),
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
+Replaces:
+ libvirt-clients (<< 6.9.0-2~),
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
 Description: Virtualization daemon QEMU connection driver
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -210,9 +212,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- libvirt-daemon (<< 6.0.0-1~),
-Replaces:
- libvirt-daemon (<< 6.0.0-1~),
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
+Replaces:
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
 Description: Virtualization daemon VirtualBox connection driver
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -230,9 +232,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- libvirt-daemon (<< 6.0.0-1~),
-Replaces:
- libvirt-daemon (<< 6.0.0-1~),
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
+Replaces:
+ libvirt-daemon (<< 6.6.0-1ubuntu1~),
 Description: Virtualization daemon Xen connection driver
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -364,12 +366,3 @@
  This package contains the configuration files to run the libvirt daemon as a
  system service.
 
-Package: libvirt-daemon-system-systemd
-Section: admin
-Architecture: all
-Depends:
- systemd-container,
- systemd-sysv,
- ${misc:Depends},
-Conflicts:
- libvirt-daemon-system-sysv,
