=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
     WITH_LIBNL                = -Dlibnl=enabled
     WITH_NETWORK              = -Ddriver_network=enabled
     WITH_OPENVZ               = -Ddriver_openvz=enabled
-    WITH_NETCF                = -Dnetcf=enabled
+    WITH_NETCF                = -Dnetcf=disabled
     WITH_POLKIT               = -Dpolkit=enabled
     WITH_SANLOCK              = -Dsanlock=enabled
     WITH_INIT_SCRIPT          = -Dinit_script=systemd
@@ -49,7 +49,7 @@
     WITH_ATTR                 = -Dattr=enabled
     WITH_AUDIT                = -Daudit=enabled
     WITH_SELINUX              = -Dselinux=enabled -Dsecdriver_selinux=enabled -Dselinux_mount=/sys/fs/selinux
-    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=true
+    WITH_APPARMOR             = -Dapparmor=enabled -Dsecdriver_apparmor=enabled -Dapparmor_profiles=enabled
     WITH_NSS_PLUGIN           = -Dnss=enabled
     WITH_DTRACE               = -Ddtrace=enabled
     WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
@@ -82,7 +82,7 @@
     WITH_ATTR                 = -Dattr=disabled
     WITH_AUDIT                = -Daudit=disabled
     WITH_SELINUX              = -Dselinux=disabled -Dsecdriver_selinux=disabled -Dselinux_mount=
-    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=false
+    WITH_APPARMOR             = -Dapparmor=disabled -Dsecdriver_apparmor=disabled -Dapparmor_profiles=disabled
     WITH_NSS_PLUGIN           = -Dnss=disabled
     WITH_DTRACE               = -Ddtrace=disabled
     WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
@@ -96,15 +96,21 @@
     -Dpackager="$(DEB_BUILDUSER) $(DEB_BUILDDATE)" \
     -Dpackager_version="$(DEB_RELEASE)" \
     -Ddriver_qemu=enabled \
+    -Ddriver_libvirtd=enabled \
+    -Ddriver_remote=enabled \
+    -Dremote_default_mode=legacy \
+    -Ddriver_test=enabled \
+    -Ddriver_ch=disabled \
     -Dqemu_user=libvirt-qemu \
-    -Dqemu_group=libvirt-qemu \
+    -Dqemu_group=kvm \
     -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
     -Ddocs=enabled \
     -Dtests=enabled \
     $(WITH_OPENVZ) \
     -Dsasl=enabled \
     -Dyajl=enabled \
-    -Dlibssh2=enabled \
+    -Dlibssh2=disabled \
+    -Dlibssh=enabled \
     $(WITH_POLKIT) \
     $(WITH_SANLOCK) \
     $(WITH_UDEV) \
@@ -117,6 +123,7 @@
     -Dstorage_sheepdog=disabled \
     $(WITH_STORAGE_RBD) \
     $(WITH_STORAGE_GLUSTER) \
+    -Dstorage_vstorage=disabled \
     -Dstorage_zfs=enabled \
     $(WITH_INIT_SCRIPT) \
     $(WITH_NUMA) \
@@ -156,6 +163,21 @@
     virtlockd-admin.socket \
     $(NULL)
 
+APPARMOR_ABSTRACTIONS = \
+    libvirt-lxc \
+    libvirt-qemu \
+    $(NULL)
+
+APPARMOR_TEMPLATES = \
+    TEMPLATE.lxc \
+    TEMPLATE.qemu \
+    $(NULL)
+
+APPARMOR_SERVICES = \
+    usr.lib.libvirt.virt-aa-helper \
+    usr.sbin.libvirtd \
+    $(NULL)
+
 DEB_BUILDDIR := $(CURDIR)/debian/build
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 SRV_MONOLITHIC = libvirt-guests virtlogd virtlockd libvirtd libvirtd-tcp libvirtd-tls virt-guest-shutdown
@@ -185,22 +207,9 @@
 # various dh_* tools will work optimally. This target is the perfect place
 # to perform such operations
 override_dh_auto_install:
+	mkdir -p debian/tmp/usr/share/apport/package-hooks
+	cp -f debian/libvirt-daemon.apport \
+	      debian/tmp/usr/share/apport/package-hooks/source_libvirt.py
 	dh_auto_install
-
-	# Move upstream files where dh_* can find them
-	mv $(DEB_DESTDIR)/etc/sysconfig/ \
-	   $(DEB_DESTDIR)/etc/default/
-
-	# Copy the release notes where dh_installdocs can find them
-	cp NEWS.rst \
-	   $(DEB_DESTDIR)/usr/share/doc/libvirt/NEWS
-
-	# Add our backward compat polkit rule
-	mkdir -p $(DEB_DESTDIR)/var/lib/polkit-1/localauthority/10-vendor.d/
-	cp debian/polkit/60-libvirt.pkla \
-	   $(DEB_DESTDIR)/var/lib/polkit-1/localauthority/10-vendor.d/
-
-	# Rename the upstream polkit rule so that it matches the name used
-	# historically in Debian, as well as that of the backwards compat
-	# rules we just installed
-	mv $(DEB_DESTDIR)/usr/share/polkit-1/rules.d/50-libvirt.rules \
+	# copy dnsmasq configuration
+	mkdir -p debian/tmp/etc/dnsmasq.d-available
